<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: UIView(Extension)分类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('category_u_i_view_07_extension_08.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#properties">属性</a> &#124;
<a href="category_u_i_view_07_extension_08-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">UIView(Extension)分类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_u_i_view_09_extension_8h_source.html">UIView+Extension.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
属性</h2></td></tr>
<tr class="memitem:a4667b0159f5c49e85a5e391fd8783aba"><td class="memItemLeft" align="right" valign="top">CGFloat&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_view_07_extension_08.html#a4667b0159f5c49e85a5e391fd8783aba">x</a></td></tr>
<tr class="separator:a4667b0159f5c49e85a5e391fd8783aba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f7c5e1f7c3205789532ea1123026022"><td class="memItemLeft" align="right" valign="top">CGFloat&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_view_07_extension_08.html#a2f7c5e1f7c3205789532ea1123026022">y</a></td></tr>
<tr class="separator:a2f7c5e1f7c3205789532ea1123026022"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6285cd1f00ae968e8a3bc968b9310c66"><td class="memItemLeft" align="right" valign="top">CGFloat&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_view_07_extension_08.html#a6285cd1f00ae968e8a3bc968b9310c66">centerX</a></td></tr>
<tr class="separator:a6285cd1f00ae968e8a3bc968b9310c66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af11c04e661b1bc41a679bb4a3a5973c1"><td class="memItemLeft" align="right" valign="top">CGFloat&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_view_07_extension_08.html#af11c04e661b1bc41a679bb4a3a5973c1">centerY</a></td></tr>
<tr class="separator:af11c04e661b1bc41a679bb4a3a5973c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4539ee3d2d7b60f1ebeed516290f7fa"><td class="memItemLeft" align="right" valign="top">CGFloat&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_view_07_extension_08.html#ab4539ee3d2d7b60f1ebeed516290f7fa">width</a></td></tr>
<tr class="separator:ab4539ee3d2d7b60f1ebeed516290f7fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3b3e41eef35585adfa16b596c4cbbbf"><td class="memItemLeft" align="right" valign="top">CGFloat&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_view_07_extension_08.html#aa3b3e41eef35585adfa16b596c4cbbbf">height</a></td></tr>
<tr class="separator:aa3b3e41eef35585adfa16b596c4cbbbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1bdf5b4716f30dde17db5eda5d9ca71"><td class="memItemLeft" align="right" valign="top">CGSize&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_view_07_extension_08.html#ac1bdf5b4716f30dde17db5eda5d9ca71">size</a></td></tr>
<tr class="separator:ac1bdf5b4716f30dde17db5eda5d9ca71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3977eaa869e83b624757582c1c682060"><td class="memItemLeft" align="right" valign="top">CGPoint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_view_07_extension_08.html#a3977eaa869e83b624757582c1c682060">origin</a></td></tr>
<tr class="separator:a3977eaa869e83b624757582c1c682060"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5b33deb855b93f66f476d335f1748f1"><td class="memItemLeft" align="right" valign="top">CGFloat&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_view_07_extension_08.html#af5b33deb855b93f66f476d335f1748f1">minX</a></td></tr>
<tr class="separator:af5b33deb855b93f66f476d335f1748f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab27fb788fadeb520e777e5d07f4a3737"><td class="memItemLeft" align="right" valign="top">CGFloat&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_view_07_extension_08.html#ab27fb788fadeb520e777e5d07f4a3737">minY</a></td></tr>
<tr class="separator:ab27fb788fadeb520e777e5d07f4a3737"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc617b816d5148ffc58f21b104f07c5d"><td class="memItemLeft" align="right" valign="top">CGFloat&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_view_07_extension_08.html#afc617b816d5148ffc58f21b104f07c5d">maxX</a></td></tr>
<tr class="separator:afc617b816d5148ffc58f21b104f07c5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac146a5084a23be0cc0550279c3a6e53c"><td class="memItemLeft" align="right" valign="top">CGFloat&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_view_07_extension_08.html#ac146a5084a23be0cc0550279c3a6e53c">maxY</a></td></tr>
<tr class="separator:ac146a5084a23be0cc0550279c3a6e53c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">详细描述</h2>
<div class="textblock">
<p class="definition">在文件 <a class="el" href="_u_i_view_09_extension_8h_source.html">UIView+Extension.h</a> 第 <a class="el" href="_u_i_view_09_extension_8h_source.html#l00011">11</a> 行定义.</p>
</div><h2 class="groupheader">属性说明</h2>
<a id="a6285cd1f00ae968e8a3bc968b9310c66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6285cd1f00ae968e8a3bc968b9310c66">&#9670;&nbsp;</a></span>centerX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGFloat) centerX</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_u_i_view_09_extension_8h_source.html">UIView+Extension.h</a> 第 <a class="el" href="_u_i_view_09_extension_8h_source.html#l00015">15</a> 行定义.</p>

</div>
</div>
<a id="af11c04e661b1bc41a679bb4a3a5973c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af11c04e661b1bc41a679bb4a3a5973c1">&#9670;&nbsp;</a></span>centerY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGFloat) centerY</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_u_i_view_09_extension_8h_source.html">UIView+Extension.h</a> 第 <a class="el" href="_u_i_view_09_extension_8h_source.html#l00016">16</a> 行定义.</p>

</div>
</div>
<a id="aa3b3e41eef35585adfa16b596c4cbbbf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa3b3e41eef35585adfa16b596c4cbbbf">&#9670;&nbsp;</a></span>height</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGFloat) height</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_u_i_view_09_extension_8h_source.html">UIView+Extension.h</a> 第 <a class="el" href="_u_i_view_09_extension_8h_source.html#l00018">18</a> 行定义.</p>

</div>
</div>
<a id="afc617b816d5148ffc58f21b104f07c5d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc617b816d5148ffc58f21b104f07c5d">&#9670;&nbsp;</a></span>maxX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGFloat) maxX</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_u_i_view_09_extension_8h_source.html">UIView+Extension.h</a> 第 <a class="el" href="_u_i_view_09_extension_8h_source.html#l00023">23</a> 行定义.</p>

</div>
</div>
<a id="ac146a5084a23be0cc0550279c3a6e53c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac146a5084a23be0cc0550279c3a6e53c">&#9670;&nbsp;</a></span>maxY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGFloat) maxY</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_u_i_view_09_extension_8h_source.html">UIView+Extension.h</a> 第 <a class="el" href="_u_i_view_09_extension_8h_source.html#l00024">24</a> 行定义.</p>

</div>
</div>
<a id="af5b33deb855b93f66f476d335f1748f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af5b33deb855b93f66f476d335f1748f1">&#9670;&nbsp;</a></span>minX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGFloat) minX</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_u_i_view_09_extension_8h_source.html">UIView+Extension.h</a> 第 <a class="el" href="_u_i_view_09_extension_8h_source.html#l00021">21</a> 行定义.</p>

</div>
</div>
<a id="ab27fb788fadeb520e777e5d07f4a3737"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab27fb788fadeb520e777e5d07f4a3737">&#9670;&nbsp;</a></span>minY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGFloat) minY</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_u_i_view_09_extension_8h_source.html">UIView+Extension.h</a> 第 <a class="el" href="_u_i_view_09_extension_8h_source.html#l00022">22</a> 行定义.</p>

</div>
</div>
<a id="a3977eaa869e83b624757582c1c682060"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3977eaa869e83b624757582c1c682060">&#9670;&nbsp;</a></span>origin</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGPoint) origin</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_u_i_view_09_extension_8h_source.html">UIView+Extension.h</a> 第 <a class="el" href="_u_i_view_09_extension_8h_source.html#l00020">20</a> 行定义.</p>

</div>
</div>
<a id="ac1bdf5b4716f30dde17db5eda5d9ca71"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac1bdf5b4716f30dde17db5eda5d9ca71">&#9670;&nbsp;</a></span>size</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGSize) size</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_u_i_view_09_extension_8h_source.html">UIView+Extension.h</a> 第 <a class="el" href="_u_i_view_09_extension_8h_source.html#l00019">19</a> 行定义.</p>

</div>
</div>
<a id="ab4539ee3d2d7b60f1ebeed516290f7fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4539ee3d2d7b60f1ebeed516290f7fa">&#9670;&nbsp;</a></span>width</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGFloat) width</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_u_i_view_09_extension_8h_source.html">UIView+Extension.h</a> 第 <a class="el" href="_u_i_view_09_extension_8h_source.html#l00017">17</a> 行定义.</p>

</div>
</div>
<a id="a4667b0159f5c49e85a5e391fd8783aba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4667b0159f5c49e85a5e391fd8783aba">&#9670;&nbsp;</a></span>x</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGFloat) x</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_u_i_view_09_extension_8h_source.html">UIView+Extension.h</a> 第 <a class="el" href="_u_i_view_09_extension_8h_source.html#l00013">13</a> 行定义.</p>

</div>
</div>
<a id="a2f7c5e1f7c3205789532ea1123026022"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f7c5e1f7c3205789532ea1123026022">&#9670;&nbsp;</a></span>y</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGFloat) y</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_u_i_view_09_extension_8h_source.html">UIView+Extension.h</a> 第 <a class="el" href="_u_i_view_09_extension_8h_source.html#l00014">14</a> 行定义.</p>

</div>
</div>
<hr/>该分类的文档由以下文件生成:<ul>
<li>XHXKit/Classes/General/Category/<a class="el" href="_u_i_view_09_extension_8h_source.html">UIView+Extension.h</a></li>
<li>XHXKit/Classes/General/Category/<a class="el" href="_u_i_view_09_extension_8m_source.html">UIView+Extension.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="category_u_i_view_07_extension_08.html">UIView(Extension)</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
